This forum is no longer active. Please post your questions to our new community site

Forums Tracks

502 Proxy Error

Subscribe to 502 Proxy Error 7 post(s), 2 voice(s)

 
Avatar evilwilson 5 post(s)

I have installed the latest version of tracks a couple of times now and all attempts end up with a 502 proxy error after the installation completes. I have checked to make sure that all of the ports required are open and that I do not have any port conflicts. I have also stopped and started the mysql database, mongrel service and the apache service in that order. Any other thoughts.

Thanks
-Wilson

 
Avatar evilwilson 5 post(s)

Also, trying to go to http://127.0.0.1:3001/ fails, I can telnet to the port so it is open it just does not come up in a web browser. I am not sure if it is supposed to work that way but I read it as a possible solution in another post so I figured I would give it a go.

Thanks
-Wilson

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Could you ckeck if there is a ruby process running? Could you check if the tracks services are running (tracksApache, tracksMongrel and tracksMySQL) in the services panel?

Cheers.

 
Avatar evilwilson 5 post(s)

I have checked and all three services are running and there is a ruby.exe process running according to task manager. I have also disabled the Windows firewall service.

Thanks
-Wilson

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Could you check your proxy configuration in your browser? If you have in an internal network it is possible that your internet access is through a proxy and this could be the cause of this error.

Cheers.

 
Avatar evilwilson 5 post(s)

Nope no proxy information

Thanks
-Wilson

 
Avatar evilwilson 5 post(s)

I noticed that i am receiving the following in the mongrel.log

  • Starting Mongrel listening at 0.0.0.0:3001
  • Starting Rails with production environment…
  • Mounting Rails at /tracks…
  • Rails loaded.
  • Loading any Rails specific GemPlugins
  • Loading C:\BitNamiTracksStack/apps/tracks\scripts\mongrel_rails_envvars external config script
    C:/BitNamiTracksStack/ruby/lib/ruby/gems/1.8/gems/rmagick-2.3.0-x86-mswin32/ext/RMagick2.so: This version of RMagick was created to run with ImageMagick 6.4.0 but ImageMagick 6.4.7 is in use. (RuntimeError)

Not sure if the ImageMagick stuff is causing the problem but it is the only error.

Thanks
-Wilson

Forums Tracks